summaryrefslogtreecommitdiffstats
path: root/audio/rosegarden
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:54 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:54 +0200
commit70911799acb6e536a65f0013830cfe41277923ce (patch)
tree07e9b8c3b6e241db0527866428c4d0d17e7ec228 /audio/rosegarden
parentd418cfdc69338b8ec698f4fe856ae662664447c8 (diff)
downloadslackbuilds-70911799acb6e536a65f0013830cfe41277923ce.tar.gz
slackbuilds-70911799acb6e536a65f0013830cfe41277923ce.tar.xz
audio/rosegarden: Moved from multimedia
Diffstat (limited to 'audio/rosegarden')
-rw-r--r--audio/rosegarden/README12
-rw-r--r--audio/rosegarden/doinst.sh11
-rw-r--r--audio/rosegarden/rosegarden.SlackBuild93
-rw-r--r--audio/rosegarden/rosegarden.info8
-rw-r--r--audio/rosegarden/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/audio/rosegarden/README b/audio/rosegarden/README
new file mode 100644
index 0000000000..74792035e2
--- /dev/null
+++ b/audio/rosegarden/README
@@ -0,0 +1,12 @@
+Rosegarden is an attractive, user-friendly MIDI and audio sequencer,
+notation editor, and general-purpose music composition and editing
+application for Unix and Linux.
+
+The only documented hard dependency of Rosegarden is fftw, so it *must*
+be installed. Jack-audio-connection-kit is documented as an optional
+dependency, but testing here indicates that it must also be installed.
+liblo, liblrdf, and ladspa are optional dependencies; they will be used
+if they are available at build time. LIRC is another optional dependency;
+if you want lirc-support, you will have to pass LIRC=yes to the script.
+Further rosegarden makes use of xml-twig and lilypond at runtime.
+All dependencies (required and optional) are available at SlackBuilds.org.
diff --git a/audio/rosegarden/doinst.sh b/audio/rosegarden/doinst.sh
new file mode 100644
index 0000000000..6225a2b4a4
--- /dev/null
+++ b/audio/rosegarden/doinst.sh
@@ -0,0 +1,11 @@
+
+( if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+ fi
+)
+
+( if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+ fi
+)
+
diff --git a/audio/rosegarden/rosegarden.SlackBuild b/audio/rosegarden/rosegarden.SlackBuild
new file mode 100644
index 0000000000..29335bcf08
--- /dev/null
+++ b/audio/rosegarden/rosegarden.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for rosegarden
+
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms :-)
+
+PRGNAM=rosegarden
+VERSION=1.7.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Pass LIRC=yes on command line when running this script if you
+# want to build with lirc-support
+LIRC=${LIRC:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+if [ "$LIRC" = 'yes' ]; then
+ LIRCOPT='On'
+else
+ LIRCOPT='Off'
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DWANT_LIRC=$LIRCOPT
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README TRANSLATORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/rosegarden/rosegarden.info b/audio/rosegarden/rosegarden.info
new file mode 100644
index 0000000000..4de5368a67
--- /dev/null
+++ b/audio/rosegarden/rosegarden.info
@@ -0,0 +1,8 @@
+PRGNAM="rosegarden"
+VERSION="1.7.2"
+HOMEPAGE="http://www.rosegardenmusic.com"
+DOWNLOAD="http://downloads.sourceforge.net/rosegarden/rosegarden-1.7.2.tar.bz2"
+MD5SUM="5cf0ea60cfcd46ddbc931863c08af65a"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/audio/rosegarden/slack-desc b/audio/rosegarden/slack-desc
new file mode 100644
index 0000000000..b31dbbf01d
--- /dev/null
+++ b/audio/rosegarden/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rosegarden: rosegarden (Midi / Audio / Notation-Editor)
+rosegarden:
+rosegarden: Rosegarden is an attractive, user-friendly MIDI and audio
+rosegarden: sequencer, notation editor, and general-purpose music
+rosegarden: composition and editing application for Unix and Linux.
+rosegarden:
+rosegarden: Homepage: http://www.rosegardenmusic.com
+rosegarden:
+rosegarden:
+rosegarden:
+rosegarden: